// Copyright 2017 JanusGraph Authors
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package org.janusgraph.graphdb.transaction.lock;


import java.time.Duration;

/**
 * @author Matthias Broecheler (me@matthiasb.com)
 */

public class FakeLock implements TransactionLock {

    public static final FakeLock INSTANCE = new FakeLock();

    private FakeLock() {}

    @Override
    public void lock(Duration timeout) {
    }

    @Override
    public void unlock() {
    }

    @Override
    public boolean inUse() {
        throw new UnsupportedOperationException("Should never be used");
    }

}
